function [ome,gam]=energyconstraints(energy,max_energy)

%This function tries to choose the proper energy parameters
%of each node. 
%The decisions are based on the battery level of each node.

batlevel=(energy)*100/max_energy;

%##################
%dynamic I
%##################

%if batlevel < 15 
%    ome=0.4;
%    gam=1;
%elseif batlevel > 50
%    ome=-2; 
%    gam=3;
%else
%    ome=0.15;
%    gam=2.7;
%end

%for latencies around 3e-5 for each node:

%if batlevel < 15 
%    ome=0.2;
%    gam=1;
%elseif batlevel > 50
%    ome=-2; 
%    gam=3;
%else
%    ome=0.1;
%    gam=2.7;
%end    
  

%##################
%static constraints
%##################
ome=0.4;
gam=3;



%for latencies around 3e-5 for each node:
%ome=0.2;
%gam=3;

%end of energyconstraints
